Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.spi
Enum MemberStates

    java.lang.Object
      java.lang.Enum<MemberStates>
          com.sun.enterprise.ee.cms.spi.MemberStates

All Implemented Interfaces:
  Serializable, Comparable<MemberStates>

    public enum MemberStates

extends Enum<MemberStates>

Represents the set of states that members in the group can be as part of their existence in the group. These are states that are relevant to GMS.

Version:
  $Revision: 1.5 $
Author:
  Shreedhar Ganapathy Date: Oct 4, 2006

Enum Constant Summary
`ALIVE`
`ALIVEANDREADY`
`CLUSTERSTOPPING`
`DEAD`
`INDOUBT`
`PEERSTOPPING`
`READY`
`STARTING`
`STOPPED`
`UNKNOWN`

Method Summary
`static MemberStates` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MemberStates[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTING

    public static final MemberStates STARTING

### READY

    public static final MemberStates READY

### ALIVE

    public static final MemberStates ALIVE

### ALIVEANDREADY

    public static final MemberStates ALIVEANDREADY

### INDOUBT

    public static final MemberStates INDOUBT

### DEAD

    public static final MemberStates DEAD

### CLUSTERSTOPPING

    public static final MemberStates CLUSTERSTOPPING

### PEERSTOPPING

    public static final MemberStates PEERSTOPPING

### STOPPED

    public static final MemberStates STOPPED

### UNKNOWN

    public static final MemberStates UNKNOWN

Method Detail

### values

    public static final MemberStates[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MemberStates c : MemberStates.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MemberStates valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.